import request from '@/utils/request'

// 列表查询
export function platformList(params) {
    return request({
        url: '/platformArea/platformAreaListOne',
        method: 'GET',
        params,
    })
}

//台区-新增
export function platformAreaAdd(params) {
    return request({
        url: 'platformArea/platformAreaAdd',
        method: 'POST',
        data: params,
    })
}

// 台区-修改
export function platformAreaUpdate(params) {
    return request({
        url: '/platformArea/platformAreaUpdate',
        method: 'POST',
        data: params,
    })
}

// 台区-回显
export function platformAreaListOne(params) {
    return request({
        url: '/platformArea/platformAreaList',
        method: 'GET',
        params,
    })
}

//台区-删除
export function platformAreaDel(params) {
    return request({
        url: '/platformArea/platformAreaDel',
        method: 'GET',
        params,
    })
}

// 站点设备列表查询
export function siteDeviceList(params) {
    return request({
        url: '/platformArea/siteDeviceList',
        method: 'GET',
        params,
    })
}